Subject: Re: [PATCH v6 0/6] cat-file: add remote-object-info to batch-command

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Nov 2024 10:19:12 +0900

Peijian Ju <[email-masked]> writes:

> On Tue, Nov 19, 2024 at 1:48 AM Junio C Hamano <[email-masked]> wrote:
>>
>> Patrick Steinhardt <[email-masked]> writes:
>>
>> > While having a quarantine directory would help with the case where you
>> > have differing end user behaviour depending on the protocol, it of
>> > course wouldn't help with the implied performance hit when using the
>> > fallback logic.
>> >
>> > So maybe not having the fallback is the best solution after all, and
>> > when users have a good use case for why they need it we could implement
>> > it in a future iteration.
>>
>> And I would strongly suspect that we won't have to implement any
>> fallback---hopefully folks upgrade their server side to be capable
>> of whatever capability is needed fast enough ;-).
>>
>> Thanks.
>
> Thank you, sir, and also Patrick and Christian, for helping clarify
> this for me. That makes sense. I will remove the "fetch and inspect"
> approach in the next series.

Thanks, everybody.  And thank you for working on this topic.